Skip to main content
Version: V4.0

Project Management API


Get Project Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObjectBodyYesCommand parameter

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
project_idStringBodyProject ID
project_nameStringBodyProject name
currencyStringBodyCurrency
visit_urlStringBodyVisit URL
addressObject<address>BodyAddress
roomObject<room>BodyRoom information
deviceObject<device>BodyDevice information

address description

Parameter NameTypeLocationDescription
countryStringBodyCountry
state_provinceStringBodyState or province
cityStringBodyCity
streetStringBodyStreet
postcodeStringBodyPostcode

room description

Parameter NameTypeLocationDescription
to_stayIntegerBodyTo stay
checked_outIntegerBodyChecked out
dirtyIntegerBodyDirty
vacant_dirtyIntegerBodyVacant dirty
occupied_dirtyIntegerBodyOccupied dirty
vacant_cleanIntegerBodyVacant clean
occupied_cleanIntegerBodyOccupied clean
dndIntegerBodyDND
vacant_todayIntegerBodyVacant today
checked_in_todayIntegerBodyChecked in today
number_of_staying_todayIntegerBodyNumber of staying today
occupancy_rate_todayIntegerBodyOccupancy rate today

device description

Parameter NameTypeLocationDescription
totalIntegerBodyTotal
onlineIntegerBodyOnline
offlineIntegerBodyOffline
low_powerIntegerBodyLow power

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_project_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"project_name": "test",
"currency": "USD:US Dollar",
"visit_url": "https://test.akubela.com/g",
"address": {
"country": "Austria",
"state_province": "Tirol",
"city": "Absam",
"street": "test",
"postcode": "0000001"
},
"room": {
"to_stay": 0,
"checked_out": 0,
"dirty": 0,
"vacant_dirty": 0,
"occupied_dirty": 0,
"vacant_clean": 0,
"occupied_clean": 0,
"dnd": 0,
"vacant_today": 0,
"checked_in_today": 0,
"number_of_staying_today": 0,
"occupancy_rate_today": 0
},
"device": {
"total": 0,
"online": 0,
"offline": 0,
"low_power": 0
}
}
}

Failure Return Example

See Failure Return Example



Update Project Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
currencyStringBodyYesCurrency

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "update_project_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"currency": "USD:US Dollar"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Get Currency List

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObjectBodyYesCommand parameter

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
currencyStringBodyCurrency

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_currency_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"currency": "USD:US Dollar"
}
]
}

Failure Return Example

See Failure Return Example